program change_that_cursor;
(* Nathan March *)

uses
 dos,crt;

var

  REGS: Registers;   (* Registers Record *)
  Color: Boolean;    (* Color, true or false *)
  t,b:string;        (* parameter strings *)
  Top: integer;      (* top of cursor *)
  Bottom: integer;   (* bottom of cursor *)
  code:integer;      (* code returned from VAL procedure *)


procedure Set_Cursor_Size (Top, Bottom: Integer);
(* sets the cursor *)

var
  REGS: registers;   (* register record *)

begin
      regs.AX := $0100;
      regs.CX := (TOP shl 8) + BOTTOM;
      Intr ($10, regs);
end;

procedure Select_Cursor_Type;
(* reads parameters and sets size *)

var
  Ch : Char;

begin
if paramcount=2 then
 begin
  t:=paramstr(1);
  b:=paramstr(2);
  val(t,top,code);
  val(b,bottom,code);
 end
else
 begin
  clrscr;
  writeln;
  writeln('Change that Cursor  v.1 by Nathan March 4/16/91');
  writeln('');
  writeln;
  writeln('  Change the size and location of your cursor.');
  writeln;
  writeln('USAGE:  CURSOR [top] [bottom]');
  writeln;
  writeln('               Top:  is the top of the cursor.  Ex: 9');
  writeln('            Bottom:  is the bottom of the cursor.  Ex: 10');
  writeln;
  writeln(' (This is pretty straight forward.  If you don''t understand it, play');
  writeln('  with it!)');
  writeln;
  writeln('<Depress a Key>');
  readln;
 end;

end;

begin
Select_Cursor_Type;
Set_Cursor_Size (Top, Bottom);
clrscr;
writeln('Change that Cursor  v.1 by Nathan March 4/16/91');
writeln;
end.
